Closed Bug 882626 Opened 6 years ago Closed 6 years ago

WebRTC+??? broken on Nightly 12th and 13th June 2013

Categories

(Core :: Canvas: WebGL, defect)

defect
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: sole, Unassigned)

References

Details

(Keywords: regression, Whiteboard: [getUserMedia][blocking-gum-])

I am working on an app that uses WebRTC+WebGL. So far I've been using Nightly builds of Fennec and it's worked nicely but latest updates have broken it and I have to revert back to older builds.

Here's a copy of my app as of yesterday:
http://people.mozilla.org/~spenades/refapps/rtcamera/20130612/

It works nicely on Fennec's build of the 7th of june (once you enable WebRTC, that is), but fails in all sorts of weird ways with latest builds.

Connecting remotely via port 6000 I get this kind of weird log:

[12:59:37.705] NS_ERROR_FAILURE: Failure @ http://10.246.33.118:8000/js/rtcamera.js:257
--
[13:00:13.333] GET http://10.246.33.118:8000/ [HTTP/1.0 200 OK 140ms]
[13:00:13.670] GET http://10.246.33.118:8000/css/x-tag-switch.css [HTTP/1.0 200 OK 29ms]
[13:00:13.671] GET http://10.246.33.118:8000/css/shiftbox.css [HTTP/1.0 200 OK 33ms]
[13:00:13.673] GET http://10.246.33.118:8000/css/style.css [HTTP/1.0 200 OK 50ms]
[13:00:13.674] GET http://10.246.33.118:8000/js/libs/x-tags/core.js [40ms]
[13:00:13.674] GET http://10.246.33.118:8000/js/libs/x-tags/shiftbox.js [HTTP/1.0 200 OK 70ms]
[13:00:13.675] GET http://10.246.33.118:8000/js/libs/x-tags/switch.js [HTTP/1.0 200 OK 81ms]
[13:00:13.675] GET http://10.246.33.118:8000/js/libs/glmatrix.min.js [HTTP/1.0 200 OK 186ms]
[13:00:13.676] GET http://10.246.33.118:8000/js/libs/raf.js [HTTP/1.0 200 OK 102ms]
[13:00:13.676] GET http://10.246.33.118:8000/js/libs/FileSaver.js [HTTP/1.0 200 OK 116ms]
[13:00:13.677] GET http://10.246.33.118:8000/js/libs/Animated_GIF/omggif.js [HTTP/1.0 200 OK 359ms]
[13:00:13.677] GET http://10.246.33.118:8000/js/libs/Animated_GIF/NeuQuant.js [HTTP/1.0 200 OK 352ms]
[13:00:13.678] GET http://10.246.33.118:8000/js/libs/Animated_GIF/Animated_GIF.js [HTTP/1.0 200 OK 188ms]
[13:00:13.679] GET http://10.246.33.118:8000/js/libs/Hammer.js [HTTP/1.0 200 OK 674ms]
[13:00:13.679] GET http://10.246.33.118:8000/js/ImageEffect.js [HTTP/1.0 200 OK 264ms]
[13:00:13.680] GET http://10.246.33.118:8000/js/Renderer.js [HTTP/1.0 200 OK 503ms]
[13:00:13.681] GET http://10.246.33.118:8000/js/rtcamera.js [HTTP/1.0 200 OK 692ms]
[13:00:13.683] GET http://10.246.33.118:8000/img/icons/ic_action_cancel.png [HTTP/1.0 200 OK 1179ms]
[13:00:13.684] GET http://10.246.33.118:8000/img/icons/ic_action_done.png [651ms]
[13:00:13.684] GET http://10.246.33.118:8000/img/icons/ic_action_video.png [576ms]
[13:00:13.685] GET http://10.246.33.118:8000/img/icons/ic_action_photo.png [HTTP/1.0 200 OK 5153ms]
[13:00:13.888] GET http://10.246.33.118:8000/img/icons/icn-coachmark-press.png [HTTP/1.0 200 OK 6225ms]
[13:00:13.889] GET http://10.246.33.118:8000/img/icons/icn-coachmark-arrows.png [HTTP/1.0 200 OK 6735ms]
[13:00:13.890] GET http://10.246.33.118:8000/css/fonts/Roboto-Regular.ttf [HTTP/1.0 200 OK 1090ms]
[13:00:13.890] GET http://10.246.33.118:8000/css/fonts/Roboto-Condensed.ttf [HTTP/1.0 200 OK 1574ms]
--
[13:00:27.692] ReferenceError: xtag is not defined @ http://10.246.33.118:8000/js/libs/x-tags/shiftbox.js:4

The line 257 in rtcamera.js is something as innocuous as
canvas.width = canvasWidth;

xtag is indeed loaded (no 404 in x-tags/core.js!) but for some reason the browser refuses to parse it.

Sorry for not being able to provide with more details, but even trying to debug this step by step is pretty hard. I don't know if it's because of Nightly or what, but I cannot even set a breakpoint and try to determine what the values of things are when the weird NS_ERROR_FAILURE happens.
Component: General → WebRTC
Product: Firefox for Android → Core
QA Contact: jsmith
So I managed to do a little bit of adb LogCatt'ing. This time I am using the Nightly from 10th of June, which is broken too! :-(

The log starts before I tap on the recent website (it being the test url for my app), shows the weird NS_ERROR_FAILURE and some captures frames, then I press back and the log ends. Hope it helps? Please let me know if you need any more info.


D/overlay (  159): Unset pipe=VG0 dpy=0; Unset pipe=VG1 dpy=0; Unset pipe=RGB1 dpy=0;
D/overlay (  159): Set pipe=RGB1 dpy=0; Set pipe=VG0 dpy=0; Set pipe=VG1 dpy=0;
I/GeckoToolbar(25729): zerdatime 25269283 - Throbber start
I/GeckoToolbar(25729): zerdatime 25269628 - Throbber start
D/dalvikvm(25729): GC_CONCURRENT freed 1287K, 14% free 12984K/15028K, paused 5ms+8ms, total 46ms
D/WEBRTC  (25729): VideoCaptureDeviceInfoAndroid
D/WEBRTC  (25729): Camera 0, Facing back, Orientation 90
I/CameraClient(  162): Opening camera 0
E/mm-camera(  184): sensor_load_chromatix: libchromatix_imx111_preview.so: 30
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
E/mm-camera(  184): vfe_ops_init: E
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/mm-camera(  184): mctl_init_stats_proc_info: snap_max_line_cnt =30096
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:1280 height:720
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:800 height:480
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:768 height:432
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:720 height:480
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:640 height:480
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:576 height:432
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:480 height:320
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:384 height:288
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:352 height:288
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:320 height:240
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:240 height:160
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:176 height:144
E/mm-libcamera2(  162): PROFILE HAL: stopPreview(): E: 1371131176.474376596
I/CameraClient(  162): Destroying camera 0
E/mm-camera(  184): config_shutdown_pp Camera not in streaming mode. Returning.
E/mm-camera(  184): vfe_ops_deinit: E
D/WEBRTC  (25729): Camera 1, Facing front, Orientation 270
I/CameraClient(  162): Opening camera 1
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
E/mm-camera(  184): sensor_load_chromatix: libchromatix_imx119_preview.so: 30
E/mm-camera(  184): vfe_ops_init: E
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
E/mm-camera(  184): mctl_init_stats_proc_info: snap_max_line_cnt =25776
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:1280 height:720
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:800 height:480
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:768 height:432
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:720 height:480
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:640 height:480
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:576 height:432
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:480 height:320
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:384 height:288
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:352 height:288
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:320 height:240
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:240 height:160
V/WEBRTC  (25729): VideoCaptureDeviceInfo maxFPS:120 width:176 height:144
E/mm-libcamera2(  162): PROFILE HAL: stopPreview(): E: 1371131176.612420240
I/CameraClient(  162): Destroying camera 1
E/mm-camera(  184): config_shutdown_pp Camera not in streaming mode. Returning.
E/mm-camera(  184): vfe_ops_deinit: E
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
D/overlay (  159): Unset pipe=VG0 dpy=0; Unset pipe=VG1 dpy=0; Unset pipe=RGB1 dpy=0;
I/GeckoToolbar(25729): zerdatime 25272514 - Throbber stop
E/Profiler(25729): BPUnw: [7 total] thread_register_for_profiling(me=0x72f77248, stacktop=0x83e6adcf)
D/ALSAStreamOps(  162): setParameters(): keyRouting with device 0x2
D/ALSAModule(  162): s_route: devices 0x2 in mode 0
D/ALSAModule(  162): switchDevice: device 2 mode:0
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): No valid input device: 0
D/ALSAModule(  162): switchDevice,rxDev:Speaker, txDev:(null), curRxDev:Speaker, curTxDev:Handset
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _enadev value Speaker
D/ALSAModule(  162): switchDevice: curTxUCMDevivce Handset curRxDevDevice Speaker
D/WEBRTC  (25729): AllocateCamera Camera 0, Facing back, Orientation 90
I/CameraClient(  162): Opening camera 0
D/AudioStreamOutALSA(  162): mHandle->useCase: HiFi Lowlatency
D/ALSAModule(  162): s_route: devices 0x2 in mode 0
D/ALSAModule(  162): switchDevice: device 2 mode:0
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): No valid input device: 0
D/ALSAModule(  162): switchDevice,rxDev:Speaker, txDev:(null), curRxDev:Speaker, curTxDev:Handset
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _enadev value Speaker
D/ALSAModule(  162): switchDevice: curTxUCMDevivce Handset curRxDevDevice Speaker
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _verb value HiFi Lowlatency
D/alsa_ucm(  162): Set mixer controls for Speaker enable 1
D/ACDB-LOADER(  162): ACDB -> send_afe_cal
D/alsa_ucm(  162): Set mixer controls for HiFi Lowlatency enable 1
D/ALSAModule(  162): Device value returned is hw:0,14
D/ALSAModule(  162): setHardwareParams: reqBuffSize 1024 channels 2 sampleRate 48000
D/ALSAModule(  162): setHardwareParams: buffer_size 2048, period_size 1024, period_cnt 2
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
E/mm-camera(  184): sensor_load_chromatix: libchromatix_imx111_preview.so: 30
E/mm-camera(  184): vfe_ops_init: E
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/mm-camera(  184): mctl_init_stats_proc_info: snap_max_line_cnt =30096
D/overlay (  159): Set pipe=RGB1 dpy=0; Set pipe=VG0 dpy=0; Set pipe=VG1 dpy=0;
V/WEBRTC  (25729): AllocateCamera - creating VideoCaptureAndroid
D/WEBRTC-JC(25729): StartCapture width 768 height 432 frame rate 120
D/WEBRTC-JC(25729): tryStartCapture 768 height 432 frame rate 120 isCaptureRunning false isSurfaceReady false isCaptureStarted true
V/WEBRTC-JC(25729): SetPreviewRotation: 90
D/WEBRTC-JC(25729): VideoCaptureAndroid::surfaceCreated
D/WEBRTC-JC(25729): VideoCaptureAndroid::surfaceChanged
D/WEBRTC-JC(25729): tryStartCapture 768 height 432 frame rate 120 isCaptureRunning false isSurfaceReady true isCaptureStarted true
E/Profiler(25729): BPUnw: [6 total] thread_unregister_for_profiling(me=0x72f77248)
D/dalvikvm(25729): GC_FOR_ALLOC freed 923K, 14% free 12929K/15028K, paused 41ms, total 42ms
I/dalvikvm-heap(25729): Grow heap (frag case) to 13.125MB for 497680-byte allocation
D/dalvikvm(25729): GC_FOR_ALLOC freed 2K, 14% free 13413K/15516K, paused 28ms, total 28ms
D/dalvikvm(25729): GC_FOR_ALLOC freed 0K, 14% free 13413K/15516K, paused 19ms, total 19ms
I/dalvikvm-heap(25729): Grow heap (frag case) to 13.597MB for 497680-byte allocation
E/QCameraHWI(  162): android::status_t android::QCameraHardwareInterface::setPreviewWindow(preview_stream_ops_t*): mPreviewWindow = 0x0x41777f08, mStreamDisplay = 0x0x41582f38
D/QCameraHWI(  162): android::status_t android::QCameraHardwareInterface::startPreview():  start preview now
I/QCameraHWI(  162): android::status_t android::QCameraHardwareInterface::startPreview2():Setting ZSL mode
D/dalvikvm(25729): GC_FOR_ALLOC freed 0K, 14% free 13899K/16004K, paused 20ms, total 20ms
E/mm-camera(  184): config_proc_CAMERA_SET_INFORM_STARTPREVIEW
E/mm-camera(  184): config_update_stream_info Storing stream parameters for video inst 1 as : width = 768, height 432, format = 1 inst_handle = 810081 cid = 0
E/mm-camera(  184): config_update_stream_info Storing stream parameters for video inst 3 as : width = 640, height 480, format = 1 inst_handle = 830083 cid = 0
E/mm-camera(  184): config_update_stream_info Storing stream parameters for video inst 4 as : width = 512, height 384, format = 1 inst_handle = 840084 cid = 0
E/mm-camera(  184): config_decide_vfe_outputs: Ports Used 3, Op mode 1
E/mm-camera(  184): config_decide_vfe_outputs Current mode 0 Full size streaming : Disabled
E/mm-camera(  184): config_decide_vfe_outputs: Primary: 768x432, extra_pad: 0x0, Fmt: 1, Type: 1, Path: 1
E/mm-camera(  184): config_decide_vfe_outputs: Secondary: 640x480, extra_pad: 0x0, Fmt: 1, Type: 3, Path: 4
E/mm-camera(  184): config_update_inst_handles Updated the inst handles as 810081, 830083, 0, 0
E/mm-camera(  184): sensor_load_chromatix: libchromatix_imx111_zsl.so: 26
E/mm-camera(  184): camif_client_set_params: camif has associated with obj mask 0x1
E/mm-camera(  184): config_v2_CAMERA_START_common CAMIF_PARAMS_ADD_OBJ_ID failed -1
E/mm-camera(  184): vfe_operation_config: format 3
E/mm-camera(  184): vfe_operation_config:vfe_op_mode=5
E/mm-camera(  184): Invalid ASD Set Params Type
E/mm-camera(  184): vfe_set_bestshot: Bestshot mode not changed
E/mm-libcamera2(  162): PROFILE HAL: First preview frame received: 1371131179.551318455
E/BufferQueue(  159): [SurfaceView] dequeueBuffer: min undequeued buffer count (2) exceeded (dequeued=6 undequeudCount=0)
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
E/BufferQueue(  159): [SurfaceView] dequeueBuffer: min undequeued buffer count (2) exceeded (dequeued=5 undequeudCount=1)
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
E/GeckoConsole(25729): [JavaScript Error: "NS_ERROR_FAILURE: Failure" {file: "http://people.mozilla.org/~spenades/refapps/rtcamera/20130612/js/rtcamera.js" line: 257}]
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _verb value Inactive
D/alsa_ucm(  162): Set mixer controls for HiFi Lowlatency enable 0
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _disdev value Handset
D/alsa_ucm(  162): disdev: device Handset not enabled, no need to disable
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _disdev value Speaker
D/alsa_ucm(  162): Set mixer controls for Speaker enable 0
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
V/WEBRTC-JC(25729): preview frame length 497664 context2142337024
D/ALSAStreamOps(  162): setParameters(): keyRouting with device 0x2
D/ALSAModule(  162): s_route: devices 0x2 in mode 0
D/ALSAModule(  162): switchDevice: device 2 mode:0
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): No valid input device: 0
D/ALSAModule(  162): switchDevice,rxDev:Speaker, txDev:(null), curRxDev:Speaker, curTxDev:Handset
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _enadev value Speaker
D/ALSAModule(  162): switchDevice: curTxUCMDevivce Handset curRxDevDevice Speaker
D/AudioStreamOutALSA(  162): mHandle->useCase: HiFi Lowlatency
D/ALSAModule(  162): s_route: devices 0x2 in mode 0
D/ALSAModule(  162): switchDevice: device 2 mode:0
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): No valid input device: 0
D/ALSAModule(  162): switchDevice,rxDev:Speaker, txDev:(null), curRxDev:Speaker, curTxDev:Handset
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _enadev value Speaker
D/ALSAModule(  162): switchDevice: curTxUCMDevivce Handset curRxDevDevice Speaker
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _verb value HiFi Lowlatency
D/alsa_ucm(  162): Set mixer controls for Speaker enable 1
D/ACDB-LOADER(  162): ACDB -> send_afe_cal
D/alsa_ucm(  162): Set mixer controls for HiFi Lowlatency enable 1
D/ALSAModule(  162): Device value returned is hw:0,14
D/ALSAModule(  162): setHardwareParams: reqBuffSize 1024 channels 2 sampleRate 48000
D/ALSAModule(  162): setHardwareParams: buffer_size 2048, period_size 1024, period_cnt 2
I/GeckoToolbar(25729): zerdatime 25280793 - Throbber start
D/WEBRTC-JC(25729): StopCapture
E/mm-libcamera2(  162): PROFILE HAL: stopPreview(): E: 1371131185.956537438
E/mm-camera(  184): config_MSG_ID_STOP_ACK: streamon_mask is not clear. Should not call PP_Release_HW
I/GeckoToolbar(25729): zerdatime 25280832 - Throbber stop
D/WEBRTC-JC(25729): DeleteVideoCaptureAndroid
D/WEBRTC-JC(25729): StopCapture
E/mm-libcamera2(  162): PROFILE HAL: stopPreview(): E: 1371131185.968074139
E/mm-libcamera2(  162): PROFILE HAL: stopPreview(): E: 1371131185.968379342
E/QCameraHWI(  162): android::status_t android::QCameraHardwareInterface::setPreviewWindow(preview_stream_ops_t*):Received Setting NULL preview window
E/QCameraHWI(  162): android::status_t android::QCameraHardwareInterface::setPreviewWindow(preview_stream_ops_t*): mPreviewWindow = 0x0x0, mStreamDisplay = 0x0x41582f38
W/QCameraHWI_Preview(  162):  Setting NULL preview window
I/CameraClient(  162): Destroying camera 0
E/mm-camera(  184): config_shutdown_pp Camera not in streaming mode. Returning.
E/mm-camera(  184): vfe_ops_deinit: E
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
E/Profiler(25729): BPUnw: [7 total] thread_register_for_profiling(me=0x72f77248, stacktop=0x83e6adcf)
Just in case it helps, this is the output of logcat when running 7th June Nightly. This is a successful app run, in that no weird errors happen, and I get to display the Camera output using WebGL.

Actions are the same: go to the recent website, accept sharing back camera, display a few frames and back.

I/GeckoToolbar(10881): zerdatime 26240919 - Throbber start
E/Profiler(10881): BPUnw: [5 total] thread_unregister_for_profiling(me=0x722cbe20)
I/GeckoToolbar(10881): zerdatime 26240959 - Throbber start
E/Profiler(10881): BPUnw: [6 total] thread_register_for_profiling(me=0x72df71e8, stacktop=0x80867e27)
I/GeckoToolbar(10881): zerdatime 26241328 - Throbber stop
D/WEBRTC  (10881): VideoCaptureDeviceInfoAndroid
D/WEBRTC  (10881): Camera 0, Facing back, Orientation 90
I/CameraClient(  162): Opening camera 0
E/Profiler(10881): BPUnw: [7 total] thread_register_for_profiling(me=0x72e52280, stacktop=0x848ffe4f)
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
E/mm-camera(  184): sensor_load_chromatix: libchromatix_imx111_preview.so: 30
E/mm-camera(  184): vfe_ops_init: E
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/mm-camera(  184): mctl_init_stats_proc_info: snap_max_line_cnt =30096
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:1280 height:720
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:800 height:480
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:768 height:432
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:720 height:480
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:640 height:480
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:576 height:432
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:480 height:320
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:384 height:288
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:352 height:288
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:320 height:240
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:240 height:160
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:176 height:144
E/mm-libcamera2(  162): PROFILE HAL: stopPreview(): E: 1371132146.727390369
I/CameraClient(  162): Destroying camera 0
E/mm-camera(  184): config_shutdown_pp Camera not in streaming mode. Returning.
E/mm-camera(  184): vfe_ops_deinit: E
D/WEBRTC  (10881): Camera 1, Facing front, Orientation 270
I/CameraClient(  162): Opening camera 1
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
E/mm-camera(  184): sensor_load_chromatix: libchromatix_imx119_preview.so: 30
E/mm-camera(  184): vfe_ops_init: E
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/mm-camera(  184): mctl_init_stats_proc_info: snap_max_line_cnt =25776
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:1280 height:720
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:800 height:480
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:768 height:432
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:720 height:480
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:640 height:480
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:576 height:432
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:480 height:320
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:384 height:288
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:352 height:288
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:320 height:240
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:240 height:160
V/WEBRTC  (10881): VideoCaptureDeviceInfo maxFPS:120 width:176 height:144
E/mm-libcamera2(  162): PROFILE HAL: stopPreview(): E: 1371132146.857620799
I/CameraClient(  162): Destroying camera 1
E/mm-camera(  184): config_shutdown_pp Camera not in streaming mode. Returning.
E/mm-camera(  184): vfe_ops_deinit: E
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
D/overlay (  159): Unset pipe=VG0 dpy=0; Unset pipe=VG1 dpy=0; Unset pipe=RGB1 dpy=0;
D/ALSAStreamOps(  162): setParameters(): keyRouting with device 0x2
D/ALSAModule(  162): s_route: devices 0x2 in mode 0
D/ALSAModule(  162): switchDevice: device 2 mode:0
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): No valid input device: 0
D/ALSAModule(  162): switchDevice,rxDev:Speaker, txDev:(null), curRxDev:Speaker, curTxDev:Handset
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _enadev value Speaker
D/ALSAModule(  162): switchDevice: curTxUCMDevivce Handset curRxDevDevice Speaker
D/AudioStreamOutALSA(  162): mHandle->useCase: HiFi Lowlatency
D/ALSAModule(  162): s_route: devices 0x2 in mode 0
D/ALSAModule(  162): switchDevice: device 2 mode:0
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): No valid input device: 0
D/ALSAModule(  162): switchDevice,rxDev:Speaker, txDev:(null), curRxDev:Speaker, curTxDev:Handset
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _enadev value Speaker
D/ALSAModule(  162): switchDevice: curTxUCMDevivce Handset curRxDevDevice Speaker
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _verb value HiFi Lowlatency
D/alsa_ucm(  162): Set mixer controls for Speaker enable 1
D/ACDB-LOADER(  162): ACDB -> send_afe_cal
D/WEBRTC  (10881): AllocateCamera Camera 0, Facing back, Orientation 90
I/CameraClient(  162): Opening camera 0
D/alsa_ucm(  162): Set mixer controls for HiFi Lowlatency enable 1
D/ALSAModule(  162): Device value returned is hw:0,14
D/ALSAModule(  162): setHardwareParams: reqBuffSize 1024 channels 2 sampleRate 48000
D/ALSAModule(  162): setHardwareParams: buffer_size 2048, period_size 1024, period_cnt 2
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
E/mm-camera(  184): sensor_load_chromatix: libchromatix_imx111_preview.so: 30
D/overlay (  159): Set pipe=RGB1 dpy=0; Set pipe=VG0 dpy=0; Set pipe=VG1 dpy=0;
E/mm-camera(  184): vfe_ops_init: E
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/mm-camera(  184): vfe_legacy_stats_buffer_init: AEC_STATS_BUFNUM
E/mm-camera(  184): mctl_init_stats_proc_info: snap_max_line_cnt =30096
V/WEBRTC  (10881): AllocateCamera - creating VideoCaptureAndroid
D/WEBRTC-JC(10881): StartCapture width 768 height 432 frame rate 120
D/WEBRTC-JC(10881): tryStartCapture 768 height 432 frame rate 120 isCaptureRunning false isSurfaceReady false isCaptureStarted true
V/WEBRTC-JC(10881): SetPreviewRotation: 90
D/WEBRTC-JC(10881): VideoCaptureAndroid::surfaceCreated
D/WEBRTC-JC(10881): VideoCaptureAndroid::surfaceChanged
D/WEBRTC-JC(10881): tryStartCapture 768 height 432 frame rate 120 isCaptureRunning false isSurfaceReady true isCaptureStarted true
D/dalvikvm(10881): GC_FOR_ALLOC freed 2720K, 22% free 12055K/15428K, paused 28ms, total 29ms
D/dalvikvm(10881): GC_FOR_ALLOC freed 50K, 16% free 12976K/15428K, paused 28ms, total 28ms
E/QCameraHWI(  162): android::status_t android::QCameraHardwareInterface::setPreviewWindow(preview_stream_ops_t*): mPreviewWindow = 0x0x400daad8, mStreamDisplay = 0x0x41c07370
D/QCameraHWI(  162): android::status_t android::QCameraHardwareInterface::startPreview():  start preview now
I/QCameraHWI(  162): android::status_t android::QCameraHardwareInterface::startPreview2():Setting ZSL mode
E/mm-camera(  184): config_proc_CAMERA_SET_INFORM_STARTPREVIEW
E/mm-camera(  184): config_update_stream_info Storing stream parameters for video inst 1 as : width = 768, height 432, format = 1 inst_handle = 810081 cid = 0
E/mm-camera(  184): config_update_stream_info Storing stream parameters for video inst 3 as : width = 640, height 480, format = 1 inst_handle = 830083 cid = 0
E/mm-camera(  184): config_update_stream_info Storing stream parameters for video inst 4 as : width = 512, height 384, format = 1 inst_handle = 840084 cid = 0
E/mm-camera(  184): config_decide_vfe_outputs: Ports Used 3, Op mode 1
E/mm-camera(  184): config_decide_vfe_outputs Current mode 0 Full size streaming : Disabled
E/mm-camera(  184): config_decide_vfe_outputs: Primary: 768x432, extra_pad: 0x0, Fmt: 1, Type: 1, Path: 1
E/mm-camera(  184): config_decide_vfe_outputs: Secondary: 640x480, extra_pad: 0x0, Fmt: 1, Type: 3, Path: 4
E/mm-camera(  184): config_update_inst_handles Updated the inst handles as 810081, 830083, 0, 0
E/mm-camera(  184): sensor_load_chromatix: libchromatix_imx111_zsl.so: 26
E/mm-camera(  184): camif_client_set_params: camif has associated with obj mask 0x1
E/mm-camera(  184): config_v2_CAMERA_START_common CAMIF_PARAMS_ADD_OBJ_ID failed -1
E/mm-camera(  184): vfe_operation_config: format 3
E/mm-camera(  184): vfe_operation_config:vfe_op_mode=5
E/mm-camera(  184): Invalid ASD Set Params Type
E/mm-camera(  184): vfe_set_bestshot: Bestshot mode not changed
E/mm-libcamera2(  162): PROFILE HAL: First preview frame received: 1371132148.701692216
E/BufferQueue(  159): [SurfaceView] dequeueBuffer: min undequeued buffer count (2) exceeded (dequeued=6 undequeudCount=0)
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
E/BufferQueue(  159): [SurfaceView] dequeueBuffer: min undequeued buffer count (2) exceeded (dequeued=5 undequeudCount=1)
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
I/IdleService(10881): Get idle time: time since reset 3018 msec
I/IdleService(10881): Idle timer callback: current idle time 3018 msec
I/IdleService(10881): next timeout 176981 msec from now
I/IdleService(10881): SetTimerExpiryIfBefore: next timeout 176981 msec from now
I/IdleService(10881): reset timer expiry to 176991 msec from now
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
E/Profiler(10881): BPUnw: [6 total] thread_unregister_for_profiling(me=0x72e52280)
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _verb value Inactive
D/alsa_ucm(  162): Set mixer controls for HiFi Lowlatency enable 0
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _disdev value Handset
D/alsa_ucm(  162): disdev: device Handset not enabled, no need to disable
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _disdev value Speaker
D/alsa_ucm(  162): Set mixer controls for Speaker enable 0
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
D/ALSAStreamOps(  162): setParameters(): keyRouting with device 0x2
D/ALSAModule(  162): s_route: devices 0x2 in mode 0
D/ALSAModule(  162): switchDevice: device 2 mode:0
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): No valid input device: 0
D/ALSAModule(  162): switchDevice,rxDev:Speaker, txDev:(null), curRxDev:Speaker, curTxDev:Handset
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _enadev value Speaker
D/ALSAModule(  162): switchDevice: curTxUCMDevivce Handset curRxDevDevice Speaker
D/AudioStreamOutALSA(  162): mHandle->useCase: HiFi Lowlatency
D/ALSAModule(  162): s_route: devices 0x2 in mode 0
D/ALSAModule(  162): switchDevice: device 2 mode:0
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): s_is_tmus: mnc_mcc :  23420
D/ALSAModule(  162): No valid input device: 0
D/ALSAModule(  162): switchDevice,rxDev:Speaker, txDev:(null), curRxDev:Speaker, curTxDev:Handset
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _enadev value Speaker
D/ALSAModule(  162): switchDevice: curTxUCMDevivce Handset curRxDevDevice Speaker
D/alsa_ucm(  162): snd_use_case_set(): uc_mgr 0x41720d38 identifier _verb value HiFi Lowlatency
D/alsa_ucm(  162): Set mixer controls for Speaker enable 1
D/ACDB-LOADER(  162): ACDB -> send_afe_cal
D/alsa_ucm(  162): Set mixer controls for HiFi Lowlatency enable 1
D/ALSAModule(  162): Device value returned is hw:0,14
D/ALSAModule(  162): setHardwareParams: reqBuffSize 1024 channels 2 sampleRate 48000
D/ALSAModule(  162): setHardwareParams: buffer_size 2048, period_size 1024, period_cnt 2
V/WEBRTC-JC(10881): preview frame length 497664 context-2025885696
I/GeckoToolbar(10881): zerdatime 26247863 - Throbber start
D/WEBRTC-JC(10881): StopCapture
E/mm-libcamera2(  162): PROFILE HAL: stopPreview(): E: 1371132153.032075246
E/mm-camera(  184): config_MSG_ID_STOP_ACK: streamon_mask is not clear. Should not call PP_Release_HW
I/GeckoToolbar(10881): zerdatime 26247905 - Throbber stop
D/WEBRTC-JC(10881): DeleteVideoCaptureAndroid
D/WEBRTC-JC(10881): StopCapture
E/mm-libcamera2(  162): PROFILE HAL: stopPreview(): E: 1371132153.046602943
E/mm-libcamera2(  162): PROFILE HAL: stopPreview(): E: 1371132153.047213350
E/QCameraHWI(  162): android::status_t android::QCameraHardwareInterface::setPreviewWindow(preview_stream_ops_t*):Received Setting NULL preview window
E/QCameraHWI(  162): android::status_t android::QCameraHardwareInterface::setPreviewWindow(preview_stream_ops_t*): mPreviewWindow = 0x0x0, mStreamDisplay = 0x0x41c07370
W/QCameraHWI_Preview(  162):  Setting NULL preview window
I/CameraClient(  162): Destroying camera 0
E/mm-camera(  184): config_shutdown_pp Camera not in streaming mode. Returning.
E/mm-camera(  184): vfe_ops_deinit: E
E/qcom_sensors_hal(  506): hal_process_report_ind: Bad item quality: 11
E/Profiler(10881): BPUnw: [7 total] thread_register_for_profiling(me=0x72e52280, stacktop=0x848ffe4f)
I have a suspicion this is something outside the webrtc code, but to verify, can you go to http://mozilla.github.com/webrtc-landing/gum_test.html and verify the getUserMedia works on your phone?   Thanks
Flags: needinfo?(sole)
Whiteboard: [getUserMedia][android-gum+][blocking-gum-]
I can confirm that your test page works both on Nightly 7th June and on Nightly 13th June.
Flags: needinfo?(sole)
The error seen in this test app is also happening on desktop. When checking the logs, I'm seeing this failure happen around the canvas area of code.
No longer blocks: android-webrtc
Whiteboard: [getUserMedia][android-gum+][blocking-gum-] → [getUserMedia][blocking-gum-]
OS: Android → All
Hardware: ARM → All
Confirmed this is working on 6/7/2013, broken on 6/12/2013. Working on getting a range now.
Last Working: 6/9/2013
First Broken: 6/10/2013
I'm pretty sure this is a WebGL regression, not a WebRTC regression.
Component: WebRTC → Canvas: WebGL
QA Contact: jsmith
Jeff - The recent push logs show that you've made changes recently to the WebGL codebase. Do you have any ideas on what caused this regression?
Flags: needinfo?(jgilbert)
This sounds like bug 881681. It should be fixed in today or tomorrow's nightly.
Depends on: 881681
Flags: needinfo?(jgilbert)
Soledad - Can you retest this on tomorrow's nightly?
Flags: needinfo?(sole)
I've updated Nightly to the latest (14th of June) and... it works! \o/

Good work, friends :-)
Flags: needinfo?(sole)
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.